Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.paging
Interface ContentListKeys

All Known Subinterfaces:
  IFilterablePagedList<T>, IPagedList<T>, ISortableFilterablePagedList<T>, ISortablePagedList<T>

    public interface ContentListKeys

Common context keys which can be used across CMPagedResult and IPagedList result collection types.

These keys are used in conjunction with various methods on the I*Manager classes which return `ISortableFilterablePagedList` objects. The methods which return the paged list objects can do sorting and filtering. Depending on the repository's implementation the sorting and filtering may be done "natively" (within the repository prior to returning the results) or "non-natively" (within the VCR itself, in-memory.) The list of native sortable and filterable properties may be found in the documentation for those objects (`Node`, `VirtualNode`, `ObjectClass`, `Version` and `Workflow`).

For the BEA Repository, the native sortable and filterable properties are documented below. For other repositories, see their SPI documentation.

Additional information about the paging system can be found in the package documentation at `com.bea.content.paging`.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Field Summary
`static Integer` | `ALL_ITEMS` Special size to indicate all items.
`static ContextKey` | `BATCH_LOADING_SIZE_KEY` Optional `ContextKey` which can be placed in the `ContentContext` specifies the batch loading size to use when items are retrieved.
`static String` | `CUSTOM_OBJECT_FILTER` Special property name which can be used when filtering to request an object filter (not a per-property filter).
`static String` | `CUSTOM_OBJECT_SORT` Special property name which can be used when sorting to request an object sort (not a per-property sort).
`static ContextKey` | `FILTER_CRITERIA_KEY` Optional `ContextKey` which can be placed in the `ContentContext` specifies that filtering should be used when fetching data, and specifies the `List` objects to use.
`static ContextKey` | `SORT_CRITERIA_KEY` Optional `ContextKey` which can be placed in the `ContentContext` specifies that sorting should be used when fetching data, and specifies the `List` objects to use.

Field Detail

### ALL_ITEMS

    static final Integer ALL_ITEMS

  Special size to indicate all items.

  This size can be used when specifying a batch size.

  See Also
    `

    When specified as a batch size, this causes all items to be loaded initially rather than on demand. One reason you might want to do this is if you know you will need to access every item, and you know you can safely load all items into memory.

    `

### BATCH_LOADING_SIZE_KEY

    static final ContextKey BATCH_LOADING_SIZE_KEY

  Optional `ContextKey` which can be placed in the `ContentContext` specifies the batch loading size to use when items are retrieved. If not specified, a default value will be used

### CUSTOM_OBJECT_SORT

    static final String CUSTOM_OBJECT_SORT

  Special property name which can be used when sorting to request an object sort (not a per-property sort). Use this property name when calling creating a `SortCriteria` or calling `ISortablePagedList.reSort(com.bea.p13n.pagination.SortOrder, String, java.util.Locale)`, if you want to sort using a custom object sorter.

  The custom object sorter must be specified in the `ContentContext`.

  See Also
    Constants Summary

### CUSTOM_OBJECT_FILTER

    static final String CUSTOM_OBJECT_FILTER

  Special property name which can be used when filtering to request an object filter (not a per-property filter). Use this property name when calling creating a `FilterCriteria` or calling `IFilterablePagedList.reFilter(com.bea.p13n.pagination.FilterMethod, String, String, java.util.Locale)`, if you want to filter using a custom object filter.

  The custom object filter must be specified in the `ContentContext`.

  See Also
    Constants Summary

### SORT_CRITERIA_KEY

    static final ContextKey SORT_CRITERIA_KEY

  Optional `ContextKey` which can be placed in the `ContentContext` specifies that sorting should be used when fetching data, and specifies the `List` objects to use. A single `SortCriteria` is allowed.

  Native sortable properties for the BEA Repository are found via the `ISortablePagedList.getNativeSortableProperties()` method. This is dependent upon the items found in the list. See the javadoc for those objects for their native sortable properties.

### FILTER_CRITERIA_KEY

    static final ContextKey FILTER_CRITERIA_KEY

  Optional `ContextKey` which can be placed in the `ContentContext` specifies that filtering should be used when fetching data, and specifies the `List` objects to use. A single `FilterCriteria` is allowed.

  Native filterable properties for the BEA Repository are found via the `IFilterablePagedList.getNativeFilterableProperties()` method. This is dependent upon the items found in the list. See the javadoc for those objects for their native filterable properties.

  Filter methods may be found via the `IFilterablePagedList.getAllFilterMethods()` method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved